summaryrefslogtreecommitdiff
path: root/dev-python/ioflo
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-03 01:02:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-03 01:02:10 +0000
commita31d5b340f6c65c988a61979ccdb8828edef462d (patch)
treed33bd41000754e33cd2788535bc6b7a03eae45f1 /dev-python/ioflo
parent3fb284ae7314a2ed9b53d039b8364621008f95d7 (diff)
downloadbaldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.tar.gz
baldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.tar.xz
baldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.zip
Adding metadata
Diffstat (limited to 'dev-python/ioflo')
-rw-r--r--dev-python/ioflo/Manifest1
-rw-r--r--dev-python/ioflo/ioflo-2.0.2-r3.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/ioflo/Manifest b/dev-python/ioflo/Manifest
index 4422795df98b..17fd3b8dbe73 100644
--- a/dev-python/ioflo/Manifest
+++ b/dev-python/ioflo/Manifest
@@ -1 +1,2 @@
+DIST ioflo-2.0.2.gh.tar.gz 837382 BLAKE2B 1fe878c8a9a47a9be5083e392e15256f1a566433b4341e2ee234e84332bb72af0c426d04c77ccace33cfb05664745caaa63e910913c3d63bbb2e5d8360a1ec90 SHA512 7485924ce329889afb1c3e0555b54fdbfb11eafce48fb0ac15bacd229fea512c44fcc118bbc4368ebc7c770d62129ee6b895b982f73a269de7131ea37daac02b
DIST ioflo-2.0.2.tar.gz 837382 BLAKE2B 1fe878c8a9a47a9be5083e392e15256f1a566433b4341e2ee234e84332bb72af0c426d04c77ccace33cfb05664745caaa63e910913c3d63bbb2e5d8360a1ec90 SHA512 7485924ce329889afb1c3e0555b54fdbfb11eafce48fb0ac15bacd229fea512c44fcc118bbc4368ebc7c770d62129ee6b895b982f73a269de7131ea37daac02b
diff --git a/dev-python/ioflo/ioflo-2.0.2-r3.ebuild b/dev-python/ioflo/ioflo-2.0.2-r3.ebuild
new file mode 100644
index 000000000000..a7f59afea325
--- /dev/null
+++ b/dev-python/ioflo/ioflo-2.0.2-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test"
+
+RDEPEND="
+ $(python_gen_cond_dep '>=dev-lang/python-3.7.4' python3_7)
+"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
+ app-admin/salt[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/ioflo-1.7.8-network-test.patch"
+ "${FILESDIR}/ioflo-2.0.2-python39.patch"
+ "${FILESDIR}/ioflo-2.0.2-tests.patch"
+ "${FILESDIR}/ioflo-2.0.2-py310.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+ distutils-r1_python_prepare_all
+}